<?php

namespace Neutrino\Ion3Core\Enums;

enum RESOLookupStandardStatus: string
{
    case Active = 'Active';
    case ActiveUnderContract = 'Active Under Contract';
    case Canceled = 'Canceled';
    case Closed = 'Closed';
    case ComingSoon = 'Coming Soon';
    case Delete = 'Delete';
    case Expired = 'Expired';
    case Hold = 'Hold';
    case Incomplete = 'Incomplete';
    case Pending = 'Pending';

    public static function valuesArray($associative = false): array {
        $values = array_map(fn($case) => $case->value, self::cases());
        if ($associative) {
            return array_combine($values, $values);
        }
        return $values;
    }
}
